V1Plans

保証プラン取得

GET
/v1/plans

Query Parameters

productId*string

事業者側の参照キー

storeId*string

StoreのID

status?string

保証プラン表示ステータス Live productの保証表示フラグがtrueのみ LiveInStore plan.storeReferenceIdが設定されているplanのみ Any 全て

Header Parameters

Content-Type*string

application/json

Accept*string

application/json

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/plans?productId=string&storeId=c10a0882-2b11-633d-7de6-0563bbf9dbed" \  -H "Content-Type: string" \  -H "Accept: string"
[  {    "id": "c10a0882-2b11-633d-7de6-0563bbf9dbed",    "storeReferenceId": "001",    "title": "1年延長保証",    "price": 2000,    "termLength": 12,    "serviceType": "Repair",    "protectionType": "Base",    "url": "string"  }]
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}